﻿@model _28._ASP.NET_Core_MVC_exercise.Models.StudentGradeVM

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-action="Create">Create New</a>
</p>
<form asp-controller="Students" asp-action="Index" method="get">
    <p>
        <select asp-for="StudentGrade" asp-items="Model.Grades">
            <option value="">All</option>
        </select>
        Student Name <input type="text" name="SearchString" value="@ViewBag.searchString" />
        <input type="submit" value="Search" />
    </p>
</form>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Students[0].FirstName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Students[0].LastName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Students[0].Grade)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Students[0].EnrollDate)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Students)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.FirstName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.LastName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Grade)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.EnrollDate)
                </td>
                <td>
                    <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> |
                    <a asp-action="Details" asp-route-id="@item.Id">Details</a> |
                    <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>
